Name:       igraph
Version:    0.7.1
%global subrel 1
Release:    %mkrel 2
Summary:    Library for creating and manipulating graphs
License:    GPLv2+
URL:        http://igraph.sourceforge.net/
Source0:    http://igraph.org/nightly/get/c/%{name}-%{version}.tar.gz
Source1:    http://igraph.org/c/doc/igraph.info
# Patch from fedora:
# https://lists.fedoraproject.org/archives/list/package-announce@lists.fedoraproject.org/thread/NCGDUNQYLSZLSGN6JJBORVFW46U3A75Y/
# CVE-2018-20349
# https://bugs.mageia.org/show_bug.cgi?id=25937 ( MGA#25937 )
Patch1:     e3a9566e6463186230f215151b57b893df6d9ce2.patch
Patch2:     igraph-format-string.patch
Group:      Development/C
BuildRequires:    libxml2-devel
BuildRequires:    libgmp-devel
Requires(post): /sbin/install-info
Requires(postun): /sbin/install-info

%description
igraph wants to be an efficient platform for
1) complex network analysis and
2) developing and implementing graph algorithms.
It provides flexible and efficient data structures for graphs and related
tasks. It also provides implementation to many classic and new graph
algorithms like: maximum flows, graph isomorphism, scale-free
networks, community structure finding, etc.

%package devel
Requires:  %{name} = %{version}-%{release}
Requires:  pkgconfig
Summary:   Development files for igraph

%description devel
The %{name}-devel package contains the header files and some
documentation needed to develop application with %{name}.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
%configure2_5x
%make_build


%install
%make_install
install -Dm0644 doc/igraph.3 %{buildroot}/%{_mandir}/man3/igraph.3
install -Dm0644 %{SOURCE1} %{buildroot}/%{_infodir}/igraph.info
rm %{buildroot}/%{_libdir}/*.a
rm %{buildroot}/%{_libdir}/*.la
find . -name '.arch-ids' | xargs rm -rf

%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/libigraph.so.*

%files devel
%doc examples
%{_includedir}/igraph
%{_libdir}/libigraph.so
%{_libdir}/pkgconfig/igraph.pc
%doc %{_mandir}/man3/igraph.3*
%doc %{_infodir}/igraph.info*


%changelog
* Thu Dec 26 2019 shlomif <shlomif> 0.7.1-2.1.mga7
+ Revision: 1470093
- CVE-2018-20349 ( MGA#25937 ) - backport.

* Sun Sep 23 2018 umeabot <umeabot> 0.7.1-2.mga7
+ Revision: 1298284
- Mageia 7 Mass Rebuild

* Sun Dec 03 2017 shlomif <shlomif> 0.7.1-1.mga7
+ Revision: 1181099
- fix rel
- Fixes for build.
- import from MGA#21312 - thanks

